[arch-commits] Commit in julia/trunk (3 files)

Alexander Rødseth arodseth at archlinux.org
Sun Aug 12 22:00:28 UTC 2018


    Date: Sunday, August 12, 2018 @ 22:00:28
  Author: arodseth
Revision: 371229

Julia 1.0 currently does not build here

Modified:
  julia/trunk/PKGBUILD
Deleted:
  julia/trunk/julia-libunwind-version.patch
  julia/trunk/julia-makefile.patch

-------------------------------+
 PKGBUILD                      |   42 ++++++++++++++--------------------------
 julia-libunwind-version.patch |   15 --------------
 julia-makefile.patch          |   13 ------------
 3 files changed, 15 insertions(+), 55 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2018-08-12 20:05:22 UTC (rev 371228)
+++ PKGBUILD	2018-08-12 22:00:28 UTC (rev 371229)
@@ -8,7 +8,7 @@
 pkgbase=julia
 pkgname=(julia julia-docs)
 epoch=2
-pkgver=0.6.4
+pkgver=1.0.0
 pkgrel=1
 arch=('x86_64')
 pkgdesc='High-level, high-performance, dynamic programming language'
@@ -15,33 +15,21 @@
 url='https://julialang.org/'
 license=('MIT')
 depends=('fftw' 'hicolor-icon-theme' 'libgit2' 'libunwind' 'libutf8proc>=2' 'mpfr' 'pcre2' 'suitesparse')
-makedepends=('chrpath' 'cmake' 'gcc-fortran' 'gmp' 'gtk-update-icon-cache' 'python2')
+makedepends=('chrpath' 'cmake' 'gcc-fortran' 'gmp' 'gtk-update-icon-cache' 'patchelf' 'python2')
 options=('!emptydirs' 'staticlibs')
-source=("https://github.com/JuliaLang/$pkgbase/releases/download/v$pkgver/$pkgbase-$pkgver-full.tar.gz"{,.asc}
-        'julia-libunwind-version.patch'
-        'julia-makefile.patch')
-sha256sums=('2b2f5543ad4206eb40c7b850cdfc5a812c6df0b2b5bcf6a3206c0e446d988f1b'
-            'SKIP'
-            '16009ce454f58463464027cbaf6186ccfab84c37660a52fb1ec3a0f514df64f9'
-            '342b43532fbace3508688eee879113160e01cbbda29610b53f2f34796bc0312a')
+source=("https://github.com/JuliaLang/$pkgbase/releases/download/v$pkgver/$pkgbase-$pkgver-full.tar.gz"{,.asc})
+sha256sums=('1a2497977b1d43bb821a5b7475b4054b29938baae8170881c6b8dd4099d133f1' 'SKIP')
 validpgpkeys=('3673DF529D9049477F76B37566E3C7DC03D6E495') # Julia (Binary signing key) <buildbot at julialang.org>
 
-prepare() {
-  cd "$pkgbase"
-  patch -p1 -i ../julia-libunwind-version.patch
-  patch -p0 -i ../julia-makefile.patch # make 'make install' really just install
-}
-
 build() {
+  export CFLAGS="$CFLAGS -w"
+  export CXXFLAGS="$CXXFLAGS -w"
   #
-  # See FS#57387 for why USE_SYSTEM_LLVM=0 is used, for now
-  # See FS#58221 for why USE_SYSTEM_ARPACK=0 is used, for now
+  # USE_SYSTEM_LIBUNWIND=1 fails
+  # USE_SYSTEM_LIBM=1 fails
+  # USE_SYSTEM_LLVM=1 fails (see FS#57387)
+  # USE_SYSTEM_ARPACK=1 fails (see FS#58221)
   #
-  # patchelf is not even used unless $(private_libdir_rel) != $(build_private_libdir_rel)
-  # but we USE_SYSTEM_PATCHELF=1 to prevent building it. This is why it is not in makedepends.
-  #
-  export CFLAGS="$CFLAGS -w"
-  export CXXFLAGS="$CXXFLAGS -w"
   make -C "$pkgbase" \
     prefix=/usr \
     sysconfdir=/etc \
@@ -57,8 +45,8 @@
     USE_SYSTEM_GMP=1 \
     USE_SYSTEM_LAPACK=0 \
     USE_SYSTEM_LIBGIT2=1 \
-    USE_SYSTEM_LIBM=1 \
-    USE_SYSTEM_LIBUNWIND=1 \
+    USE_SYSTEM_LIBM=0 \
+    USE_SYSTEM_LIBUNWIND=0 \
     USE_SYSTEM_LIBUV=0 \
     USE_SYSTEM_LLVM=0 \
     USE_SYSTEM_MPFR=1 \
@@ -91,8 +79,8 @@
     USE_SYSTEM_GMP=1 \
     USE_SYSTEM_LAPACK=0 \
     USE_SYSTEM_LIBGIT2=1 \
-    USE_SYSTEM_LIBM=1 \
-    USE_SYSTEM_LIBUNWIND=1 \
+    USE_SYSTEM_LIBM=0 \
+    USE_SYSTEM_LIBUNWIND=0 \
     USE_SYSTEM_LIBUV=0 \
     USE_SYSTEM_LLVM=0 \
     USE_SYSTEM_MPFR=1 \
@@ -102,7 +90,7 @@
     USE_SYSTEM_PCRE=1 \
     USE_SYSTEM_SUITESPARSE=1 \
     USE_SYSTEM_UTF8PROC=1 \
-    install
+    install || true
 
   # Remove duplicate man-page from julia/doc
   rm -rf "$pkgdir/usr/share/julia/doc/man"

Deleted: julia-libunwind-version.patch
===================================================================
--- julia-libunwind-version.patch	2018-08-12 20:05:22 UTC (rev 371228)
+++ julia-libunwind-version.patch	2018-08-12 22:00:28 UTC (rev 371229)
@@ -1,15 +0,0 @@
---- julia-0.6.0/src/julia_internal.h.0	2017-06-25 16:10:29.688382943 +0000
-+++ julia-0.6.0/src/julia_internal.h	2017-06-25 16:11:15.328315342 +0000
-@@ -643,11 +643,8 @@
- typedef unw_context_t bt_context_t;
- typedef unw_cursor_t bt_cursor_t;
--#  if (!defined(SYSTEM_LIBUNWIND) || UNW_VERSION_MAJOR > 1 ||   \
--       (UNW_VERSION_MAJOR == 1 && UNW_VERSION_MINOR > 1))
- // Enable our memory manager only for libunwind with our patch or
- // on a newer release
- #    define JL_UNW_HAS_FORMAT_IP 1
--#  endif
- #endif
- size_t rec_backtrace(uintptr_t *data, size_t maxsize);
- size_t rec_backtrace_ctx(uintptr_t *data, size_t maxsize, bt_context_t *ctx);
-

Deleted: julia-makefile.patch
===================================================================
--- julia-makefile.patch	2018-08-12 20:05:22 UTC (rev 371228)
+++ julia-makefile.patch	2018-08-12 22:00:28 UTC (rev 371229)
@@ -1,13 +0,0 @@
---- Makefile.orig	2017-10-28 17:06:53.003582943 +0000
-+++ Makefile	2017-10-28 17:07:27.690408154 +0000
-@@ -332,8 +332,7 @@
- 	$(build_depsbindir)/stringreplace $$(strings -t x - $1 | grep '$2' | awk '{print $$1;}') '$3' 255 "$(call cygpath_w,$1)"
- endef
- 
--install: $(build_depsbindir)/stringreplace $(BUILDROOT)/doc/_build/html/en/index.html
--	@$(MAKE) $(QUIET_MAKE) all
-+install:
- 	@for subdir in $(bindir) $(datarootdir)/julia/site/$(VERSDIR) $(docdir) $(man1dir) $(includedir)/julia $(libdir) $(private_libdir) $(sysconfdir); do \
- 		mkdir -p $(DESTDIR)$$subdir; \
- 	done
- 



More information about the arch-commits mailing list